c.Borne.Borne Class Reference

## Public Member Functions

def | MajBorne (self)
def | __init__ (self, main, parking)
def | blockAll (self)
def | nonVoiture (self)
def | newVoiture (self)
def | identification (self)
def | abo (self)
def | desabo (self)
def | garer (self)
def | recuperer (self)
def | payer (self)
def | ticketDepot (self, id)
def | ticketRetrait (self, placement, services)
def | showWindow (self)
def | quitter (self)
def | error (self, msg)

## Static Public Member Functions

def | MajBornes ()

## Static Public Attributes

list | bornes = []

## Detailed Description

    Controleur de la vue des bornes permettant l'accès au parking

## Member Function Documentation

def c.Borne.Borne.abo | ( |  | self | ) |

    Gestion validation formulaire d'abonnement
    :return:

def c.Borne.Borne.error | ( |  | self,
|  |  | msg
| ) |  |

    Qdialog message erreur
    :return:

def c.Borne.Borne.garer | ( |  | self | ) |

    Gestion de la validation de garer son vehicule
    :return:

def c.Borne.Borne.identification | ( |  | self | ) |

    Gestion de l'identification a partir d'un abo a partir de son id (lineedit)
    :return:

def c.Borne.Borne.newVoiture | ( |  | self | ) |

    Meten etat d'arrive de voiture detecte par la camera
    :return:

def c.Borne.Borne.nonVoiture | ( |  | self | ) |

    Met en etat initial de départ sans voiture
    :return:

def c.Borne.Borne.quitter | ( |  | self | ) |

    Gestion de sortie de la vue borne
    :return:

def c.Borne.Borne.recuperer | ( |  | self | ) |

    Essaie de recuperer une voiture avec le numero de ticket (lineedit)
    :return:

def c.Borne.Borne.showWindow | ( |  | self | ) |

    Gestion affichage de la vue borne
    :return:

The documentation for this class was generated from the following file:

- src/c/Borne.py